Class DbxUserFilesRequests

java.lang.Object
com.dropbox.core.v2.files.DbxUserFilesRequests

public class DbxUserFilesRequests extends Object
Routes in namespace "files".
  • Constructor Details

    • DbxUserFilesRequests

      public DbxUserFilesRequests(DbxRawClientV2 client)
  • Method Details

    • alphaGetMetadata

      @Deprecated public Metadata alphaGetMetadata(String path) throws AlphaGetMetadataErrorException, DbxException
      Deprecated.
      Returns the metadata for a file or folder. This is an alpha endpoint compatible with the properties API. Note: Metadata for the root folder is unsupported.

      The default values for the optional request parameters will be used. See AlphaGetMetadataBuilder for more details.

      Parameters:
      path - The path of a file or folder on Dropbox. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Metadata for a file or folder.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      AlphaGetMetadataErrorException
      DbxException
    • alphaGetMetadataBuilder

      @Deprecated public AlphaGetMetadataBuilder alphaGetMetadataBuilder(String path)
      Deprecated.
      Returns the metadata for a file or folder. This is an alpha endpoint compatible with the properties API. Note: Metadata for the root folder is unsupported.
      Parameters:
      path - The path of a file or folder on Dropbox. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • alphaUpload

      @Deprecated public AlphaUploadUploader alphaUpload(String path) throws DbxException
      Deprecated.
      Create a new file with the contents provided in the request. Note that the behavior of this alpha endpoint is unstable and subject to change. Do not use this to upload a file larger than 150 MiB. Instead, create an upload session with uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg).

      The default values for the optional request parameters will be used. See AlphaUploadBuilder for more details.

      Parameters:
      path - Path in the user's Dropbox to save the file. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • alphaUploadBuilder

      @Deprecated public AlphaUploadBuilder alphaUploadBuilder(String path)
      Deprecated.
      Create a new file with the contents provided in the request. Note that the behavior of this alpha endpoint is unstable and subject to change. Do not use this to upload a file larger than 150 MiB. Instead, create an upload session with uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg).
      Parameters:
      path - Path in the user's Dropbox to save the file. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Uploader builder for configuring request parameters and instantiating an uploader.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • copy

      @Deprecated public Metadata copy(String fromPath, String toPath) throws RelocationErrorException, DbxException
      Deprecated.
      Copy a file or folder to a different location in the user's Dropbox. If the source path is a folder all its contents will be copied.

      The default values for the optional request parameters will be used. See CopyBuilder for more details.

      Parameters:
      fromPath - Path in the user's Dropbox to be copied or moved. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      toPath - Path in the user's Dropbox that is the destination. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Metadata for a file or folder.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      RelocationErrorException
      DbxException
    • copyBuilder

      @Deprecated public CopyBuilder copyBuilder(String fromPath, String toPath)
      Deprecated.
      Copy a file or folder to a different location in the user's Dropbox. If the source path is a folder all its contents will be copied.
      Parameters:
      fromPath - Path in the user's Dropbox to be copied or moved. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      toPath - Path in the user's Dropbox that is the destination. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • copyV2

      public RelocationResult copyV2(String fromPath, String toPath) throws RelocationErrorException, DbxException
      Copy a file or folder to a different location in the user's Dropbox. If the source path is a folder all its contents will be copied.

      The default values for the optional request parameters will be used. See CopyV2Builder for more details.

      Parameters:
      fromPath - Path in the user's Dropbox to be copied or moved. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      toPath - Path in the user's Dropbox that is the destination. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      RelocationErrorException
      DbxException
    • copyV2Builder

      public CopyV2Builder copyV2Builder(String fromPath, String toPath)
      Copy a file or folder to a different location in the user's Dropbox. If the source path is a folder all its contents will be copied.
      Parameters:
      fromPath - Path in the user's Dropbox to be copied or moved. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      toPath - Path in the user's Dropbox that is the destination. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • copyBatch

      Deprecated.
      Copy multiple files or folders to different locations at once in the user's Dropbox. This route will return job ID immediately and do the async copy job in background. Please use copyBatchCheck(String) to check the job status.

      The default values for the optional request parameters will be used. See CopyBatchBuilder for more details.

      Parameters:
      entries - List of entries to be moved or copied. Each entry is RelocationPath. Must contain at least 1 items, contain at most 1000 items, not contain a null item, and not be null.
      Returns:
      Result returned by copyBatch(List) or moveBatch(List) that may either launch an asynchronous job or complete synchronously.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • copyBatchBuilder

      @Deprecated public CopyBatchBuilder copyBatchBuilder(List<RelocationPath> entries)
      Deprecated.
      Copy multiple files or folders to different locations at once in the user's Dropbox. This route will return job ID immediately and do the async copy job in background. Please use copyBatchCheck(String) to check the job status.
      Parameters:
      entries - List of entries to be moved or copied. Each entry is RelocationPath. Must contain at least 1 items, contain at most 1000 items, not contain a null item, and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • copyBatchV2

      Copy multiple files or folders to different locations at once in the user's Dropbox. This route will replace copyBatch(List). The main difference is this route will return status for each entry, while copyBatch(List) raises failure if any entry fails. This route will either finish synchronously, or return a job ID and do the async copy job in background. Please use copyBatchCheckV2(String) to check the job status.

      The autorename request parameter will default to false (see copyBatchV2(List,boolean)).

      Parameters:
      entries - List of entries to be moved or copied. Each entry is RelocationPath. Must contain at least 1 items, contain at most 1000 items, not contain a null item, and not be null.
      Returns:
      Result returned by copyBatchV2(List,boolean) or moveBatchV2(List) that may either launch an asynchronous job or complete synchronously.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • copyBatchV2

      public RelocationBatchV2Launch copyBatchV2(List<RelocationPath> entries, boolean autorename) throws DbxApiException, DbxException
      Copy multiple files or folders to different locations at once in the user's Dropbox. This route will replace copyBatch(List). The main difference is this route will return status for each entry, while copyBatch(List) raises failure if any entry fails. This route will either finish synchronously, or return a job ID and do the async copy job in background. Please use copyBatchCheckV2(String) to check the job status.
      Parameters:
      entries - List of entries to be moved or copied. Each entry is RelocationPath. Must contain at least 1 items, contain at most 1000 items, not contain a null item, and not be null.
      autorename - If there's a conflict with any file, have the Dropbox server try to autorename that file to avoid the conflict.
      Returns:
      Result returned by copyBatchV2(List,boolean) or moveBatchV2(List) that may either launch an asynchronous job or complete synchronously.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • copyBatchCheck

      @Deprecated public RelocationBatchJobStatus copyBatchCheck(String asyncJobId) throws PollErrorException, DbxException
      Deprecated.
      Returns the status of an asynchronous job for copyBatch:1. If success, it returns list of results for each entry.
      Parameters:
      asyncJobId - Id of the asynchronous job. This is the value of a response returned from the method that launched the job. Must have length of at least 1 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PollErrorException
      DbxException
    • copyBatchCheckV2

      public RelocationBatchV2JobStatus copyBatchCheckV2(String asyncJobId) throws PollErrorException, DbxException
      Returns the status of an asynchronous job for copyBatchV2(List,boolean). It returns list of results for each entry.
      Parameters:
      asyncJobId - Id of the asynchronous job. This is the value of a response returned from the method that launched the job. Must have length of at least 1 and not be null.
      Returns:
      Result returned by copyBatchCheckV2(String) or moveBatchCheckV2(String) that may either be in progress or completed with result for each entry.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PollErrorException
      DbxException
    • copyReferenceGet

      Get a copy reference to a file or folder. This reference string can be used to save that file or folder to another user's Dropbox by passing it to copyReferenceSave(String,String).
      Parameters:
      path - The path to the file or folder you want to get a copy reference to. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      GetCopyReferenceErrorException
      DbxException
    • copyReferenceSave

      public SaveCopyReferenceResult copyReferenceSave(String copyReference, String path) throws SaveCopyReferenceErrorException, DbxException
      Save a copy reference returned by copyReferenceGet(String) to the user's Dropbox.
      Parameters:
      copyReference - A copy reference returned by copyReferenceGet(String). Must not be null.
      path - Path in the user's Dropbox that is the destination. Must match pattern "/(.|[\\r\\n])*" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      SaveCopyReferenceErrorException
      DbxException
    • createFolder

      Deprecated.
      Create a folder at a given path.

      The autorename request parameter will default to false (see createFolder(String,boolean)).

      Parameters:
      path - Path in the user's Dropbox to create. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      CreateFolderErrorException
      DbxException
    • createFolder

      @Deprecated public FolderMetadata createFolder(String path, boolean autorename) throws CreateFolderErrorException, DbxException
      Deprecated.
      Create a folder at a given path.
      Parameters:
      path - Path in the user's Dropbox to create. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      autorename - If there's a conflict, have the Dropbox server try to autorename the folder to avoid the conflict.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      CreateFolderErrorException
      DbxException
    • createFolderV2

      public CreateFolderResult createFolderV2(String path) throws CreateFolderErrorException, DbxException
      Create a folder at a given path.

      The autorename request parameter will default to false (see createFolderV2(String,boolean)).

      Parameters:
      path - Path in the user's Dropbox to create. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      CreateFolderErrorException
      DbxException
    • createFolderV2

      public CreateFolderResult createFolderV2(String path, boolean autorename) throws CreateFolderErrorException, DbxException
      Create a folder at a given path.
      Parameters:
      path - Path in the user's Dropbox to create. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      autorename - If there's a conflict, have the Dropbox server try to autorename the folder to avoid the conflict.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      CreateFolderErrorException
      DbxException
    • createFolderBatch

      public CreateFolderBatchLaunch createFolderBatch(List<String> paths) throws DbxApiException, DbxException
      Create multiple folders at once. This route is asynchronous for large batches, which returns a job ID immediately and runs the create folder batch asynchronously. Otherwise, creates the folders and returns the result synchronously for smaller inputs. You can force asynchronous behaviour by using the CreateFolderBatchArg.force_async flag. Use createFolderBatchCheck(String) to check the job status.

      The default values for the optional request parameters will be used. See CreateFolderBatchBuilder for more details.

      Parameters:
      paths - List of paths to be created in the user's Dropbox. Duplicate path arguments in the batch are considered only once. Must contain at most 10000 items, not contain a null item, and not be null.
      Returns:
      Result returned by createFolderBatch(List) that may either launch an asynchronous job or complete synchronously.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • createFolderBatchBuilder

      public CreateFolderBatchBuilder createFolderBatchBuilder(List<String> paths)
      Create multiple folders at once. This route is asynchronous for large batches, which returns a job ID immediately and runs the create folder batch asynchronously. Otherwise, creates the folders and returns the result synchronously for smaller inputs. You can force asynchronous behaviour by using the CreateFolderBatchArg.force_async flag. Use createFolderBatchCheck(String) to check the job status.
      Parameters:
      paths - List of paths to be created in the user's Dropbox. Duplicate path arguments in the batch are considered only once. Must contain at most 10000 items, not contain a null item, and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • createFolderBatchCheck

      public CreateFolderBatchJobStatus createFolderBatchCheck(String asyncJobId) throws PollErrorException, DbxException
      Returns the status of an asynchronous job for createFolderBatch(List). If success, it returns list of result for each entry.
      Parameters:
      asyncJobId - Id of the asynchronous job. This is the value of a response returned from the method that launched the job. Must have length of at least 1 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PollErrorException
      DbxException
    • delete

      Deprecated.
      Delete the file or folder at a given path. If the path is a folder, all its contents will be deleted too. A successful response indicates that the file or folder was deleted. The returned metadata will be the corresponding FileMetadata or FolderMetadata for the item at time of deletion, and not a DeletedMetadata object.
      Parameters:
      path - Path in the user's Dropbox to delete. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Metadata for a file or folder.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DeleteErrorException
      DbxException
    • delete

      @Deprecated public Metadata delete(String path, String parentRev) throws DeleteErrorException, DbxException
      Deprecated.
      Delete the file or folder at a given path. If the path is a folder, all its contents will be deleted too. A successful response indicates that the file or folder was deleted. The returned metadata will be the corresponding FileMetadata or FolderMetadata for the item at time of deletion, and not a DeletedMetadata object.
      Parameters:
      path - Path in the user's Dropbox to delete. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      parentRev - Perform delete if given "rev" matches the existing file's latest "rev". This field does not support deleting a folder. Must have length of at least 9 and match pattern "[0-9a-f]+".
      Returns:
      Metadata for a file or folder.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DeleteErrorException
      DbxException
    • deleteV2

      public DeleteResult deleteV2(String path) throws DeleteErrorException, DbxException
      Delete the file or folder at a given path. If the path is a folder, all its contents will be deleted too. A successful response indicates that the file or folder was deleted. The returned metadata will be the corresponding FileMetadata or FolderMetadata for the item at time of deletion, and not a DeletedMetadata object.
      Parameters:
      path - Path in the user's Dropbox to delete. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DeleteErrorException
      DbxException
    • deleteV2

      public DeleteResult deleteV2(String path, String parentRev) throws DeleteErrorException, DbxException
      Delete the file or folder at a given path. If the path is a folder, all its contents will be deleted too. A successful response indicates that the file or folder was deleted. The returned metadata will be the corresponding FileMetadata or FolderMetadata for the item at time of deletion, and not a DeletedMetadata object.
      Parameters:
      path - Path in the user's Dropbox to delete. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      parentRev - Perform delete if given "rev" matches the existing file's latest "rev". This field does not support deleting a folder. Must have length of at least 9 and match pattern "[0-9a-f]+".
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DeleteErrorException
      DbxException
    • deleteBatch

      public DeleteBatchLaunch deleteBatch(List<DeleteArg> entries) throws DbxApiException, DbxException
      Delete multiple files/folders at once. This route is asynchronous, which returns a job ID immediately and runs the delete batch asynchronously. Use deleteBatchCheck(String) to check the job status.
      Parameters:
      entries - Must contain at most 1000 items, not contain a null item, and not be null.
      Returns:
      Result returned by deleteBatch(List) that may either launch an asynchronous job or complete synchronously.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • deleteBatchCheck

      public DeleteBatchJobStatus deleteBatchCheck(String asyncJobId) throws PollErrorException, DbxException
      Returns the status of an asynchronous job for deleteBatch(List). If success, it returns list of result for each entry.
      Parameters:
      asyncJobId - Id of the asynchronous job. This is the value of a response returned from the method that launched the job. Must have length of at least 1 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PollErrorException
      DbxException
    • download

      Download a file from a user's Dropbox.
      Parameters:
      path - The path of the file to download. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Downloader used to download the response body and view the server response.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DownloadErrorException
      DbxException
    • download

      Download a file from a user's Dropbox.
      Parameters:
      path - The path of the file to download. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      rev - Field is deprecated. Please specify revision in the path argument to download(String,String) instead. Must have length of at least 9 and match pattern "[0-9a-f]+".
      Returns:
      Downloader used to download the response body and view the server response.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DownloadErrorException
      DbxException
    • downloadBuilder

      public DownloadBuilder downloadBuilder(String path)
      Download a file from a user's Dropbox.
      Parameters:
      path - The path of the file to download. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Downloader builder for configuring the request parameters and instantiating a downloader.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • downloadZip

      Download a folder from the user's Dropbox, as a zip file. The folder must be less than 20 GB in size and any single file within must be less than 4 GB in size. The resulting zip must have fewer than 10,000 total file and folder entries, including the top level folder. The input cannot be a single file. Note: this endpoint does not support HTTP range requests.
      Parameters:
      path - The path of the folder to download. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Downloader used to download the response body and view the server response.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DownloadZipErrorException
      DbxException
    • downloadZipBuilder

      public DownloadZipBuilder downloadZipBuilder(String path)
      Download a folder from the user's Dropbox, as a zip file. The folder must be less than 20 GB in size and any single file within must be less than 4 GB in size. The resulting zip must have fewer than 10,000 total file and folder entries, including the top level folder. The input cannot be a single file. Note: this endpoint does not support HTTP range requests.
      Parameters:
      path - The path of the folder to download. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Downloader builder for configuring the request parameters and instantiating a downloader.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • export

      Export a file from a user's Dropbox. This route only supports exporting files that cannot be downloaded directly and whose ExportResult.file_metadata has ExportInfo.export_as populated.
      Parameters:
      path - The path of the file to be exported. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Downloader used to download the response body and view the server response.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      ExportErrorException
      DbxException
    • export

      public DbxDownloader<ExportResult> export(String path, String exportFormat) throws ExportErrorException, DbxException
      Export a file from a user's Dropbox. This route only supports exporting files that cannot be downloaded directly and whose ExportResult.file_metadata has ExportInfo.export_as populated.
      Parameters:
      path - The path of the file to be exported. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      exportFormat - The file format to which the file should be exported. This must be one of the formats listed in the file's export_options returned by getMetadata(String). If none is specified, the default format (specified in export_as in file metadata) will be used.
      Returns:
      Downloader used to download the response body and view the server response.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      ExportErrorException
      DbxException
    • exportBuilder

      public ExportBuilder exportBuilder(String path)
      Export a file from a user's Dropbox. This route only supports exporting files that cannot be downloaded directly and whose ExportResult.file_metadata has ExportInfo.export_as populated.
      Parameters:
      path - The path of the file to be exported. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Downloader builder for configuring the request parameters and instantiating a downloader.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • getFileLockBatch

      public LockFileBatchResult getFileLockBatch(List<LockFileArg> entries) throws LockFileErrorException, DbxException
      Return the lock metadata for the given list of paths.
      Parameters:
      entries - List of 'entries'. Each 'entry' contains a path of the file which will be locked or queried. Duplicate path arguments in the batch are considered only once. Must not contain a null item and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      LockFileErrorException
      DbxException
    • getMetadata

      public Metadata getMetadata(String path) throws GetMetadataErrorException, DbxException
      Returns the metadata for a file or folder. Note: Metadata for the root folder is unsupported.

      The default values for the optional request parameters will be used. See GetMetadataBuilder for more details.

      Parameters:
      path - The path of a file or folder on Dropbox. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Metadata for a file or folder.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      GetMetadataErrorException
      DbxException
    • getMetadataBuilder

      public GetMetadataBuilder getMetadataBuilder(String path)
      Returns the metadata for a file or folder. Note: Metadata for the root folder is unsupported.
      Parameters:
      path - The path of a file or folder on Dropbox. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • getPreview

      Get a preview for a file. Currently, PDF previews are generated for files with the following extensions: .ai, .doc, .docm, .docx, .eps, .gdoc, .gslides, .odp, .odt, .pps, .ppsm, .ppsx, .ppt, .pptm, .pptx, .rtf. HTML previews are generated for .csv, .ods, .xls, .xlsm, .gsheet, .xlsx. Other formats will return an unsupported extension error.
      Parameters:
      path - The path of the file to preview. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Downloader used to download the response body and view the server response.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PreviewErrorException
      DbxException
    • getPreview

      public DbxDownloader<FileMetadata> getPreview(String path, String rev) throws PreviewErrorException, DbxException
      Get a preview for a file. Currently, PDF previews are generated for files with the following extensions: .ai, .doc, .docm, .docx, .eps, .gdoc, .gslides, .odp, .odt, .pps, .ppsm, .ppsx, .ppt, .pptm, .pptx, .rtf. HTML previews are generated for .csv, .ods, .xls, .xlsm, .gsheet, .xlsx. Other formats will return an unsupported extension error.
      Parameters:
      path - The path of the file to preview. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      rev - Field is deprecated. Please specify revision in the path argument to getPreview(String,String) instead. Must have length of at least 9 and match pattern "[0-9a-f]+".
      Returns:
      Downloader used to download the response body and view the server response.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PreviewErrorException
      DbxException
    • getPreviewBuilder

      public GetPreviewBuilder getPreviewBuilder(String path)
      Get a preview for a file. Currently, PDF previews are generated for files with the following extensions: .ai, .doc, .docm, .docx, .eps, .gdoc, .gslides, .odp, .odt, .pps, .ppsm, .ppsx, .ppt, .pptm, .pptx, .rtf. HTML previews are generated for .csv, .ods, .xls, .xlsm, .gsheet, .xlsx. Other formats will return an unsupported extension error.
      Parameters:
      path - The path of the file to preview. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Downloader builder for configuring the request parameters and instantiating a downloader.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • getTemporaryLink

      Get a temporary link to stream content of a file. This link will expire in four hours and afterwards you will get 410 Gone. This URL should not be used to display content directly in the browser. The Content-Type of the link is determined automatically by the file's mime type.
      Parameters:
      path - The path to the file you want a temporary link to. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      GetTemporaryLinkErrorException
      DbxException
    • getTemporaryUploadLink

      public GetTemporaryUploadLinkResult getTemporaryUploadLink(CommitInfo commitInfo) throws DbxApiException, DbxException
      Get a one-time use temporary upload link to upload a file to a Dropbox location. This endpoint acts as a delayed upload(). The returned temporary upload link may be used to make a POST request with the data to be uploaded. The upload will then be perfomed with the CommitInfo previously provided to getTemporaryUploadLink() but evaluated only upon consumption. Hence, errors stemming from invalid CommitInfo with respect to the state of the user's Dropbox will only be communicated at consumption time. Additionally, these errors are surfaced as generic HTTP 409 Conflict responses, potentially hiding issue details. The maximum temporary upload link duration is 4 hours. Upon consumption or expiration, a new link will have to be generated. Multiple links may exist for a specific upload path at any given time. The POST request on the temporary upload link must have its Content-Type set to "application/octet-stream". Example temporary upload link consumption request: curl -X POST https://content.dropboxapi.com/apitul/1/bNi2uIYF51cVBND --header "Content-Type: application/octet-stream" --data-binary @local_file.txt A successful temporary upload link consumption request returns the content hash of the uploaded data in JSON format. Example successful temporary upload link consumption response: {"content-hash": "599d71033d700ac892a0e48fa61b125d2f5994"} An unsuccessful temporary upload link consumption request returns any of the following status codes: HTTP 400 Bad Request: Content-Type is not one of application/octet-stream and text/plain or request is invalid. HTTP 409 Conflict: The temporary upload link does not exist or is currently unavailable, the upload failed, or another error happened. HTTP 410 Gone: The temporary upload link is expired or consumed. Example unsuccessful temporary upload link consumption response: Temporary upload link has been recently consumed.

      The duration request parameter will default to 14400.0 (see getTemporaryUploadLink(CommitInfo,double)).

      Parameters:
      commitInfo - Contains the path and other optional modifiers for the future upload commit. Equivalent to the parameters provided to upload(String). Must not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • getTemporaryUploadLink

      public GetTemporaryUploadLinkResult getTemporaryUploadLink(CommitInfo commitInfo, double duration) throws DbxApiException, DbxException
      Get a one-time use temporary upload link to upload a file to a Dropbox location. This endpoint acts as a delayed upload(). The returned temporary upload link may be used to make a POST request with the data to be uploaded. The upload will then be perfomed with the CommitInfo previously provided to getTemporaryUploadLink() but evaluated only upon consumption. Hence, errors stemming from invalid CommitInfo with respect to the state of the user's Dropbox will only be communicated at consumption time. Additionally, these errors are surfaced as generic HTTP 409 Conflict responses, potentially hiding issue details. The maximum temporary upload link duration is 4 hours. Upon consumption or expiration, a new link will have to be generated. Multiple links may exist for a specific upload path at any given time. The POST request on the temporary upload link must have its Content-Type set to "application/octet-stream". Example temporary upload link consumption request: curl -X POST https://content.dropboxapi.com/apitul/1/bNi2uIYF51cVBND --header "Content-Type: application/octet-stream" --data-binary @local_file.txt A successful temporary upload link consumption request returns the content hash of the uploaded data in JSON format. Example successful temporary upload link consumption response: {"content-hash": "599d71033d700ac892a0e48fa61b125d2f5994"} An unsuccessful temporary upload link consumption request returns any of the following status codes: HTTP 400 Bad Request: Content-Type is not one of application/octet-stream and text/plain or request is invalid. HTTP 409 Conflict: The temporary upload link does not exist or is currently unavailable, the upload failed, or another error happened. HTTP 410 Gone: The temporary upload link is expired or consumed. Example unsuccessful temporary upload link consumption response: Temporary upload link has been recently consumed.
      Parameters:
      commitInfo - Contains the path and other optional modifiers for the future upload commit. Equivalent to the parameters provided to upload(String). Must not be null.
      duration - How long before this link expires, in seconds. Attempting to start an upload with this link longer than this period of time after link creation will result in an error. Must be greater than or equal to 60.0 and be less than or equal to 14400.0.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • getThumbnail

      Get a thumbnail for an image. This method currently supports files with the following file extensions: jpg, jpeg, png, tiff, tif, gif, webp, ppm and bmp. Photos that are larger than 20MB in size won't be converted to a thumbnail.

      The default values for the optional request parameters will be used. See GetThumbnailBuilder for more details.

      Parameters:
      path - The path to the image file you want to thumbnail. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Downloader used to download the response body and view the server response.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      ThumbnailErrorException
      DbxException
    • getThumbnailBuilder

      public GetThumbnailBuilder getThumbnailBuilder(String path)
      Get a thumbnail for an image. This method currently supports files with the following file extensions: jpg, jpeg, png, tiff, tif, gif, webp, ppm and bmp. Photos that are larger than 20MB in size won't be converted to a thumbnail.
      Parameters:
      path - The path to the image file you want to thumbnail. Must match pattern " (/(.|[\\r\\n])*|id:.*)|(rev:[0-9a-f]{9,})|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Downloader builder for configuring the request parameters and instantiating a downloader.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • getThumbnailV2

      Get a thumbnail for an image. This method currently supports files with the following file extensions: jpg, jpeg, png, tiff, tif, gif, webp, ppm and bmp. Photos that are larger than 20MB in size won't be converted to a thumbnail.

      The default values for the optional request parameters will be used. See DbxUserGetThumbnailV2Builder for more details.

      Parameters:
      resource - Information specifying which file to preview. This could be a path to a file, a shared link pointing to a file, or a shared link pointing to a folder, with a relative path. Must not be null.
      Returns:
      Downloader used to download the response body and view the server response.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      ThumbnailV2ErrorException
      DbxException
    • getThumbnailV2Builder

      public DbxUserGetThumbnailV2Builder getThumbnailV2Builder(PathOrLink resource)
      Get a thumbnail for an image. This method currently supports files with the following file extensions: jpg, jpeg, png, tiff, tif, gif, webp, ppm and bmp. Photos that are larger than 20MB in size won't be converted to a thumbnail.
      Parameters:
      resource - Information specifying which file to preview. This could be a path to a file, a shared link pointing to a file, or a shared link pointing to a folder, with a relative path. Must not be null.
      Returns:
      Downloader builder for configuring the request parameters and instantiating a downloader.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • getThumbnailBatch

      Get thumbnails for a list of images. We allow up to 25 thumbnails in a single batch. This method currently supports files with the following file extensions: jpg, jpeg, png, tiff, tif, gif, webp, ppm and bmp. Photos that are larger than 20MB in size won't be converted to a thumbnail.
      Parameters:
      entries - List of files to get thumbnails. Must not contain a null item and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      GetThumbnailBatchErrorException
      DbxException
    • listFolder

      Starts returning the contents of a folder. If the result's ListFolderResult.getHasMore() field is true, call listFolderContinue(String) with the returned ListFolderResult.cursor to retrieve more entries. If you're using ListFolderArg.recursive set to true to keep a local cache of the contents of a Dropbox account, iterate through each entry in order and process them as follows to keep your local state in sync: For each FileMetadata, store the new entry at the given path in your local state. If the required parent folders don't exist yet, create them. If there's already something else at the given path, replace it and remove all its children. For each FolderMetadata, store the new entry at the given path in your local state. If the required parent folders don't exist yet, create them. If there's already something else at the given path, replace it but leave the children as they are. Check the new entry's FolderSharingInfo.read_only and set all its children's read-only statuses to match. For each DeletedMetadata, if your local state has something at the given path, remove it and all its children. If there's nothing at the given path, ignore this entry. Note: auth.RateLimitError may be returned if multiple listFolder(String) or listFolderContinue(String) calls with same parameters are made simultaneously by same API app for same user. If your app implements retry logic, please hold off the retry until the previous request finishes.

      The default values for the optional request parameters will be used. See DbxUserListFolderBuilder for more details.

      Parameters:
      path - A unique identifier for the file. Must match pattern " (/(.|[\\r\\n])*)?|id:.*|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      ListFolderErrorException
      DbxException
    • listFolderBuilder

      public DbxUserListFolderBuilder listFolderBuilder(String path)
      Starts returning the contents of a folder. If the result's ListFolderResult.getHasMore() field is true, call listFolderContinue(String) with the returned ListFolderResult.cursor to retrieve more entries. If you're using ListFolderArg.recursive set to true to keep a local cache of the contents of a Dropbox account, iterate through each entry in order and process them as follows to keep your local state in sync: For each FileMetadata, store the new entry at the given path in your local state. If the required parent folders don't exist yet, create them. If there's already something else at the given path, replace it and remove all its children. For each FolderMetadata, store the new entry at the given path in your local state. If the required parent folders don't exist yet, create them. If there's already something else at the given path, replace it but leave the children as they are. Check the new entry's FolderSharingInfo.read_only and set all its children's read-only statuses to match. For each DeletedMetadata, if your local state has something at the given path, remove it and all its children. If there's nothing at the given path, ignore this entry. Note: auth.RateLimitError may be returned if multiple listFolder(String) or listFolderContinue(String) calls with same parameters are made simultaneously by same API app for same user. If your app implements retry logic, please hold off the retry until the previous request finishes.
      Parameters:
      path - A unique identifier for the file. Must match pattern " (/(.|[\\r\\n])*)?|id:.*|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • listFolderContinue

      public ListFolderResult listFolderContinue(String cursor) throws ListFolderContinueErrorException, DbxException
      Once a cursor has been retrieved from listFolder(String), use this to paginate through all files and retrieve updates to the folder, following the same rules as documented for listFolder(String).
      Parameters:
      cursor - The cursor returned by your last call to listFolder(String) or listFolderContinue(String). Must have length of at least 1 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      ListFolderContinueErrorException
      DbxException
    • listFolderGetLatestCursor

      public ListFolderGetLatestCursorResult listFolderGetLatestCursor(String path) throws ListFolderErrorException, DbxException
      A way to quickly get a cursor for the folder's state. Unlike listFolder(String), listFolderGetLatestCursor(String) doesn't return any entries. This endpoint is for app which only needs to know about new files and modifications and doesn't need to know about files that already exist in Dropbox.

      The default values for the optional request parameters will be used. See ListFolderGetLatestCursorBuilder for more details.

      Parameters:
      path - A unique identifier for the file. Must match pattern " (/(.|[\\r\\n])*)?|id:.*|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      ListFolderErrorException
      DbxException
    • listFolderGetLatestCursorBuilder

      public ListFolderGetLatestCursorBuilder listFolderGetLatestCursorBuilder(String path)
      A way to quickly get a cursor for the folder's state. Unlike listFolder(String), listFolderGetLatestCursor(String) doesn't return any entries. This endpoint is for app which only needs to know about new files and modifications and doesn't need to know about files that already exist in Dropbox.
      Parameters:
      path - A unique identifier for the file. Must match pattern " (/(.|[\\r\\n])*)?|id:.*|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • listFolderLongpoll

      A longpoll endpoint to wait for changes on an account. In conjunction with listFolderContinue(String), this call gives you a low-latency way to monitor an account for file changes. The connection will block until there are changes available or a timeout occurs. This endpoint is useful mostly for client-side apps.

      The timeout request parameter will default to 30L (see listFolderLongpoll(String,long)).

      Parameters:
      cursor - A cursor as returned by listFolder(String) or listFolderContinue(String). Cursors retrieved by setting ListFolderArg.getIncludeMediaInfo() to true are not supported. Must have length of at least 1 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      ListFolderLongpollErrorException
      DbxException
    • listFolderLongpoll

      public ListFolderLongpollResult listFolderLongpoll(String cursor, long timeout) throws ListFolderLongpollErrorException, DbxException
      A longpoll endpoint to wait for changes on an account. In conjunction with listFolderContinue(String), this call gives you a low-latency way to monitor an account for file changes. The connection will block until there are changes available or a timeout occurs. This endpoint is useful mostly for client-side apps.
      Parameters:
      cursor - A cursor as returned by listFolder(String) or listFolderContinue(String). Cursors retrieved by setting ListFolderArg.getIncludeMediaInfo() to true are not supported. Must have length of at least 1 and not be null.
      timeout - A timeout in seconds. The request will block for at most this length of time, plus up to 90 seconds of random jitter added to avoid the thundering herd problem. Care should be taken when using this parameter, as some network infrastructure does not support long timeouts. Must be greater than or equal to 30 and be less than or equal to 480.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      ListFolderLongpollErrorException
      DbxException
    • listRevisions

      Returns revisions for files based on a file path or a file id. The file path or file id is identified from the latest file entry at the given file path or id. This end point allows your app to query either by file path or file id by setting the mode parameter appropriately. In the ListRevisionsMode.path (default) mode, all revisions at the same file path as the latest file entry are returned. If revisions with the same file id are desired, then mode must be set to ListRevisionsMode.id. The ListRevisionsMode.id mode is useful to retrieve revisions for a given file across moves or renames.

      The default values for the optional request parameters will be used. See ListRevisionsBuilder for more details.

      Parameters:
      path - The path to the file you want to see the revisions of. Must match pattern " /(.|[\\r\\n])*|id:.*|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      ListRevisionsErrorException
      DbxException
    • listRevisionsBuilder

      public ListRevisionsBuilder listRevisionsBuilder(String path)
      Returns revisions for files based on a file path or a file id. The file path or file id is identified from the latest file entry at the given file path or id. This end point allows your app to query either by file path or file id by setting the mode parameter appropriately. In the ListRevisionsMode.path (default) mode, all revisions at the same file path as the latest file entry are returned. If revisions with the same file id are desired, then mode must be set to ListRevisionsMode.id. The ListRevisionsMode.id mode is useful to retrieve revisions for a given file across moves or renames.
      Parameters:
      path - The path to the file you want to see the revisions of. Must match pattern " /(.|[\\r\\n])*|id:.*|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • lockFileBatch

      public LockFileBatchResult lockFileBatch(List<LockFileArg> entries) throws LockFileErrorException, DbxException
      Lock the files at the given paths. A locked file will be writable only by the lock holder. A successful response indicates that the file has been locked. Returns a list of the locked file paths and their metadata after this operation.
      Parameters:
      entries - List of 'entries'. Each 'entry' contains a path of the file which will be locked or queried. Duplicate path arguments in the batch are considered only once. Must not contain a null item and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      LockFileErrorException
      DbxException
    • move

      @Deprecated public Metadata move(String fromPath, String toPath) throws RelocationErrorException, DbxException
      Deprecated.
      Move a file or folder to a different location in the user's Dropbox. If the source path is a folder all its contents will be moved.

      The default values for the optional request parameters will be used. See MoveBuilder for more details.

      Parameters:
      fromPath - Path in the user's Dropbox to be copied or moved. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      toPath - Path in the user's Dropbox that is the destination. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Metadata for a file or folder.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      RelocationErrorException
      DbxException
    • moveBuilder

      @Deprecated public MoveBuilder moveBuilder(String fromPath, String toPath)
      Deprecated.
      Move a file or folder to a different location in the user's Dropbox. If the source path is a folder all its contents will be moved.
      Parameters:
      fromPath - Path in the user's Dropbox to be copied or moved. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      toPath - Path in the user's Dropbox that is the destination. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • moveV2

      public RelocationResult moveV2(String fromPath, String toPath) throws RelocationErrorException, DbxException
      Move a file or folder to a different location in the user's Dropbox. If the source path is a folder all its contents will be moved. Note that we do not currently support case-only renaming.

      The default values for the optional request parameters will be used. See MoveV2Builder for more details.

      Parameters:
      fromPath - Path in the user's Dropbox to be copied or moved. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      toPath - Path in the user's Dropbox that is the destination. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      RelocationErrorException
      DbxException
    • moveV2Builder

      public MoveV2Builder moveV2Builder(String fromPath, String toPath)
      Move a file or folder to a different location in the user's Dropbox. If the source path is a folder all its contents will be moved. Note that we do not currently support case-only renaming.
      Parameters:
      fromPath - Path in the user's Dropbox to be copied or moved. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      toPath - Path in the user's Dropbox that is the destination. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • moveBatch

      Deprecated.
      Move multiple files or folders to different locations at once in the user's Dropbox. This route will return job ID immediately and do the async moving job in background. Please use moveBatchCheck(String) to check the job status.

      The default values for the optional request parameters will be used. See MoveBatchBuilder for more details.

      Parameters:
      entries - List of entries to be moved or copied. Each entry is RelocationPath. Must contain at least 1 items, contain at most 1000 items, not contain a null item, and not be null.
      Returns:
      Result returned by copyBatch(List) or moveBatch(List) that may either launch an asynchronous job or complete synchronously.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • moveBatchBuilder

      @Deprecated public MoveBatchBuilder moveBatchBuilder(List<RelocationPath> entries)
      Deprecated.
      Move multiple files or folders to different locations at once in the user's Dropbox. This route will return job ID immediately and do the async moving job in background. Please use moveBatchCheck(String) to check the job status.
      Parameters:
      entries - List of entries to be moved or copied. Each entry is RelocationPath. Must contain at least 1 items, contain at most 1000 items, not contain a null item, and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • moveBatchV2

      Move multiple files or folders to different locations at once in the user's Dropbox. Note that we do not currently support case-only renaming. This route will replace moveBatch(List). The main difference is this route will return status for each entry, while moveBatch(List) raises failure if any entry fails. This route will either finish synchronously, or return a job ID and do the async move job in background. Please use moveBatchCheckV2(String) to check the job status.

      The default values for the optional request parameters will be used. See MoveBatchV2Builder for more details.

      Parameters:
      entries - List of entries to be moved or copied. Each entry is RelocationPath. Must contain at least 1 items, contain at most 1000 items, not contain a null item, and not be null.
      Returns:
      Result returned by copyBatchV2(List,boolean) or moveBatchV2(List) that may either launch an asynchronous job or complete synchronously.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • moveBatchV2Builder

      public MoveBatchV2Builder moveBatchV2Builder(List<RelocationPath> entries)
      Move multiple files or folders to different locations at once in the user's Dropbox. Note that we do not currently support case-only renaming. This route will replace moveBatch(List). The main difference is this route will return status for each entry, while moveBatch(List) raises failure if any entry fails. This route will either finish synchronously, or return a job ID and do the async move job in background. Please use moveBatchCheckV2(String) to check the job status.
      Parameters:
      entries - List of entries to be moved or copied. Each entry is RelocationPath. Must contain at least 1 items, contain at most 1000 items, not contain a null item, and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • moveBatchCheck

      @Deprecated public RelocationBatchJobStatus moveBatchCheck(String asyncJobId) throws PollErrorException, DbxException
      Deprecated.
      Returns the status of an asynchronous job for moveBatch:1. If success, it returns list of results for each entry.
      Parameters:
      asyncJobId - Id of the asynchronous job. This is the value of a response returned from the method that launched the job. Must have length of at least 1 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PollErrorException
      DbxException
    • moveBatchCheckV2

      public RelocationBatchV2JobStatus moveBatchCheckV2(String asyncJobId) throws PollErrorException, DbxException
      Returns the status of an asynchronous job for moveBatchV2(List). It returns list of results for each entry.
      Parameters:
      asyncJobId - Id of the asynchronous job. This is the value of a response returned from the method that launched the job. Must have length of at least 1 and not be null.
      Returns:
      Result returned by copyBatchCheckV2(String) or moveBatchCheckV2(String) that may either be in progress or completed with result for each entry.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PollErrorException
      DbxException
    • paperCreate

      public PaperCreateUploader paperCreate(String path, ImportFormat importFormat) throws DbxException
      Creates a new Paper doc with the provided content.
      Parameters:
      path - The fully qualified path to the location in the user's Dropbox where the Paper Doc should be created. This should include the document's title and end with .paper. Must match pattern " /(.|[\\r\\n])*" and not be null.
      importFormat - The format of the provided data. Must not be null.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • paperUpdate

      public PaperUpdateUploader paperUpdate(String path, ImportFormat importFormat, PaperDocUpdatePolicy docUpdatePolicy) throws DbxException
      Updates an existing Paper doc with the provided content.
      Parameters:
      path - Path in the user's Dropbox to update. The path must correspond to a Paper doc or an error will be returned. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      importFormat - The format of the provided data. Must not be null.
      docUpdatePolicy - How the provided content should be applied to the doc. Must not be null.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • paperUpdate

      public PaperUpdateUploader paperUpdate(String path, ImportFormat importFormat, PaperDocUpdatePolicy docUpdatePolicy, Long paperRevision) throws DbxException
      Updates an existing Paper doc with the provided content.
      Parameters:
      path - Path in the user's Dropbox to update. The path must correspond to a Paper doc or an error will be returned. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      importFormat - The format of the provided data. Must not be null.
      docUpdatePolicy - How the provided content should be applied to the doc. Must not be null.
      paperRevision - The latest doc revision. Required when doc_update_policy is update. This value must match the current revision of the doc or error revision_mismatch will be returned.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • permanentlyDelete

      public void permanentlyDelete(String path) throws DeleteErrorException, DbxException
      Permanently delete the file or folder at a given path (see https://www.dropbox.com/en/help/40). If the given file or folder is not yet deleted, this route will first delete it. It is possible for this route to successfully delete, then fail to permanently delete. Note: This endpoint is only available for Dropbox Business apps.
      Parameters:
      path - Path in the user's Dropbox to delete. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DeleteErrorException
      DbxException
    • permanentlyDelete

      public void permanentlyDelete(String path, String parentRev) throws DeleteErrorException, DbxException
      Permanently delete the file or folder at a given path (see https://www.dropbox.com/en/help/40). If the given file or folder is not yet deleted, this route will first delete it. It is possible for this route to successfully delete, then fail to permanently delete. Note: This endpoint is only available for Dropbox Business apps.
      Parameters:
      path - Path in the user's Dropbox to delete. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      parentRev - Perform delete if given "rev" matches the existing file's latest "rev". This field does not support deleting a folder. Must have length of at least 9 and match pattern "[0-9a-f]+".
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DeleteErrorException
      DbxException
    • propertiesAdd

      @Deprecated public void propertiesAdd(String path, List<PropertyGroup> propertyGroups) throws AddPropertiesErrorException, DbxException
      Deprecated.
      Add property groups to a Dropbox file. See templates/add_for_user or templates/add_for_team to create new templates.
      Parameters:
      path - A unique identifier for the file or folder. Must match pattern "/(.|[\\r\\n])*|id:.*|(ns:[0-9]+(/.*)?)" and not be null.
      propertyGroups - The property groups which are to be added to a Dropbox file. No two groups in the input should refer to the same template. Must not contain a null item and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      AddPropertiesErrorException
      DbxException
    • propertiesOverwrite

      @Deprecated public void propertiesOverwrite(String path, List<PropertyGroup> propertyGroups) throws InvalidPropertyGroupErrorException, DbxException
      Deprecated.
      Overwrite property groups associated with a file. This endpoint should be used instead of properties/update when property groups are being overwritten rather than updated via a "delta".
      Parameters:
      path - A unique identifier for the file or folder. Must match pattern "/(.|[\\r\\n])*|id:.*|(ns:[0-9]+(/.*)?)" and not be null.
      propertyGroups - The property groups "snapshot" updates to force apply. No two groups in the input should refer to the same template. Must contain at least 1 items, not contain a null item, and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      InvalidPropertyGroupErrorException
      DbxException
    • propertiesUpdate

      @Deprecated public void propertiesUpdate(String path, List<PropertyGroupUpdate> updatePropertyGroups) throws UpdatePropertiesErrorException, DbxException
      Deprecated.
      Add, update or remove properties associated with the supplied file and templates. This endpoint should be used instead of properties/overwrite when property groups are being updated via a "delta" instead of overwriting all properties of a file.
      Parameters:
      path - A unique identifier for the file or folder. Must match pattern "/(.|[\\r\\n])*|id:.*|(ns:[0-9]+(/.*)?)" and not be null.
      updatePropertyGroups - The property groups "delta" updates to apply. Must not contain a null item and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      UpdatePropertiesErrorException
      DbxException
    • restore

      public FileMetadata restore(String path, String rev) throws RestoreErrorException, DbxException
      Restore a specific revision of a file to the given path.
      Parameters:
      path - The path to save the restored file. Must match pattern "(/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      rev - The revision to restore. Must have length of at least 9, match pattern "[0-9a-f]+", and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      RestoreErrorException
      DbxException
    • saveUrl

      public SaveUrlResult saveUrl(String path, String url) throws SaveUrlErrorException, DbxException
      Save the data from a specified URL into a file in user's Dropbox. Note that the transfer from the URL must complete within 15 minutes, or the operation will time out and the job will fail.
      Parameters:
      path - The path in Dropbox where the URL will be saved to. Must match pattern "/(.|[\\r\\n])*" and not be null.
      url - The URL to be saved. Must not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      SaveUrlErrorException
      DbxException
    • saveUrlCheckJobStatus

      public SaveUrlJobStatus saveUrlCheckJobStatus(String asyncJobId) throws PollErrorException, DbxException
      Check the status of a saveUrl(String,String) job.
      Parameters:
      asyncJobId - Id of the asynchronous job. This is the value of a response returned from the method that launched the job. Must have length of at least 1 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PollErrorException
      DbxException
    • search

      Deprecated.
      Searches for files and folders. Note: Recent changes will be reflected in search results within a few seconds and older revisions of existing files may still match your query for up to a few days.

      The default values for the optional request parameters will be used. See SearchBuilder for more details.

      Parameters:
      path - The path in the user's Dropbox to search. Should probably be a folder. Must match pattern " (/(.|[\\r\\n])*)?|id:.*|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      query - The string to search for. Query string may be rewritten to improve relevance of results. The string is split on spaces into multiple tokens. For file name searching, the last token is used for prefix matching (i.e. "bat c" matches "bat cave" but not "batman car"). Must have length of at most 1000 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      SearchErrorException
      DbxException
    • searchBuilder

      @Deprecated public SearchBuilder searchBuilder(String path, String query)
      Deprecated.
      Searches for files and folders. Note: Recent changes will be reflected in search results within a few seconds and older revisions of existing files may still match your query for up to a few days.
      Parameters:
      path - The path in the user's Dropbox to search. Should probably be a folder. Must match pattern " (/(.|[\\r\\n])*)?|id:.*|(ns:[0-9]+(/(.|[\\r\\n])*)?)" and not be null.
      query - The string to search for. Query string may be rewritten to improve relevance of results. The string is split on spaces into multiple tokens. For file name searching, the last token is used for prefix matching (i.e. "bat c" matches "bat cave" but not "batman car"). Must have length of at most 1000 and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • searchV2

      public SearchV2Result searchV2(String query) throws SearchErrorException, DbxException
      Searches for files and folders. Note: searchV2(String) along with searchContinueV2(String) can only be used to retrieve a maximum of 10,000 matches. Recent changes may not immediately be reflected in search results due to a short delay in indexing. Duplicate results may be returned across pages. Some results may not be returned.
      Parameters:
      query - The string to search for. May match across multiple fields based on the request arguments. Must have length of at most 1000 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      SearchErrorException
      DbxException
    • searchV2Builder

      public SearchV2Builder searchV2Builder(String query)
      Searches for files and folders. Note: searchV2(String) along with searchContinueV2(String) can only be used to retrieve a maximum of 10,000 matches. Recent changes may not immediately be reflected in search results due to a short delay in indexing. Duplicate results may be returned across pages. Some results may not be returned.
      Parameters:
      query - The string to search for. May match across multiple fields based on the request arguments. Must have length of at most 1000 and not be null.
      Returns:
      Request builder for configuring request parameters and completing the request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • searchContinueV2

      public SearchV2Result searchContinueV2(String cursor) throws SearchErrorException, DbxException
      Fetches the next page of search results returned from searchV2(String). Note: searchV2(String) along with searchContinueV2(String) can only be used to retrieve a maximum of 10,000 matches. Recent changes may not immediately be reflected in search results due to a short delay in indexing. Duplicate results may be returned across pages. Some results may not be returned.
      Parameters:
      cursor - The cursor returned by your last call to searchV2(String). Used to fetch the next page of results. Must have length of at least 1 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      SearchErrorException
      DbxException
    • tagsAdd

      public void tagsAdd(String path, String tagText) throws AddTagErrorException, DbxException
      Add a tag to an item. A tag is a string. The strings are automatically converted to lowercase letters. No more than 20 tags can be added to a given item.
      Parameters:
      path - Path to the item to be tagged. Must match pattern " /(.|[\\r\\n])*" and not be null.
      tagText - The value of the tag to add. Will be automatically converted to lowercase letters. Must have length of at least 1, have length of at most 32, match pattern "[\\w]+", and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      AddTagErrorException
      DbxException
    • tagsGet

      public GetTagsResult tagsGet(List<String> paths) throws BaseTagErrorException, DbxException
      Get list of tags assigned to items.
      Parameters:
      paths - Path to the items. Must not contain a null item and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      BaseTagErrorException
      DbxException
    • tagsRemove

      public void tagsRemove(String path, String tagText) throws RemoveTagErrorException, DbxException
      Remove a tag from an item.
      Parameters:
      path - Path to the item to tag. Must match pattern " /(.|[\\r\\n])*" and not be null.
      tagText - The tag to remove. Will be automatically converted to lowercase letters. Must have length of at least 1, have length of at most 32, match pattern "[\\w]+", and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      RemoveTagErrorException
      DbxException
    • unlockFileBatch

      public LockFileBatchResult unlockFileBatch(List<UnlockFileArg> entries) throws LockFileErrorException, DbxException
      Unlock the files at the given paths. A locked file can only be unlocked by the lock holder or, if a business account, a team admin. A successful response indicates that the file has been unlocked. Returns a list of the unlocked file paths and their metadata after this operation.
      Parameters:
      entries - List of 'entries'. Each 'entry' contains a path of the file which will be unlocked. Duplicate path arguments in the batch are considered only once. Must not contain a null item and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      LockFileErrorException
      DbxException
    • upload

      public UploadUploader upload(String path) throws DbxException
      Create a new file with the contents provided in the request. Do not use this to upload a file larger than 150 MiB. Instead, create an upload session with uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg). Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.

      The default values for the optional request parameters will be used. See UploadBuilder for more details.

      Parameters:
      path - Path in the user's Dropbox to save the file. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • uploadBuilder

      public UploadBuilder uploadBuilder(String path)
      Create a new file with the contents provided in the request. Do not use this to upload a file larger than 150 MiB. Instead, create an upload session with uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg). Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
      path - Path in the user's Dropbox to save the file. Must match pattern " (/(.|[\\r\\n])*)|(ns:[0-9]+(/(.|[\\r\\n])*)?)|(id:.*)" and not be null.
      Returns:
      Uploader builder for configuring request parameters and instantiating an uploader.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • uploadSessionAppend

      @Deprecated public UploadSessionAppendUploader uploadSessionAppend(String sessionId, long offset) throws DbxException
      Deprecated.
      Append more data to an upload session. A single request should not upload more than 150 MiB. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
      sessionId - The upload session ID (returned by uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg)). Must not be null.
      offset - Offset in bytes at which data should be appended. We use this to make sure upload data isn't lost or duplicated in the event of a network error.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • uploadSessionAppendV2

      public UploadSessionAppendV2Uploader uploadSessionAppendV2(UploadSessionCursor cursor) throws DbxException
      Append more data to an upload session. When the parameter close is set, this call will close the session. A single request should not upload more than 150 MiB. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.

      The default values for the optional request parameters will be used. See UploadSessionAppendV2Builder for more details.

      Parameters:
      cursor - Contains the upload session ID and the offset. Must not be null.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • uploadSessionAppendV2Builder

      public UploadSessionAppendV2Builder uploadSessionAppendV2Builder(UploadSessionCursor cursor)
      Append more data to an upload session. When the parameter close is set, this call will close the session. A single request should not upload more than 150 MiB. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
      cursor - Contains the upload session ID and the offset. Must not be null.
      Returns:
      Uploader builder for configuring request parameters and instantiating an uploader.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • uploadSessionAppendBatch

      public UploadSessionAppendBatchUploader uploadSessionAppendBatch(List<UploadSessionAppendBatchArgEntry> entries) throws DbxException
      Append more data to multiple upload sessions. Each piece of file content to append to each upload session should be concatenated in the request body, in the order delineated by the entries argument to uploadSessionAppendBatch(List,String) and their individual lengths indicated by UploadSessionAppendBatchArgEntry.getLength(). A single request should not upload more than 150 MiB. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
      entries - Append information for each file in the batch. Must contain at most 1000 items, not contain a null item, and not be null.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • uploadSessionAppendBatch

      public UploadSessionAppendBatchUploader uploadSessionAppendBatch(List<UploadSessionAppendBatchArgEntry> entries, String contentHash) throws DbxException
      Append more data to multiple upload sessions. Each piece of file content to append to each upload session should be concatenated in the request body, in the order delineated by the entries argument to uploadSessionAppendBatch(List,String) and their individual lengths indicated by UploadSessionAppendBatchArgEntry.getLength(). A single request should not upload more than 150 MiB. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
      entries - Append information for each file in the batch. Must contain at most 1000 items, not contain a null item, and not be null.
      contentHash - A hash of the entire request body which is all the concatenated pieces of file content that were uploaded in this call. If provided and the uploaded content does not match this hash, an error will be returned. For more information see our Content hash page. Must have length of at least 64 and have length of at most 64.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • uploadSessionFinish

      public UploadSessionFinishUploader uploadSessionFinish(UploadSessionCursor cursor, CommitInfo commit) throws DbxException
      Finish an upload session and save the uploaded data to the given file path. A single request should not upload more than 150 MiB. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
      cursor - Contains the upload session ID and the offset. Must not be null.
      commit - Contains the path and other optional modifiers for the commit. Must not be null.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • uploadSessionFinish

      public UploadSessionFinishUploader uploadSessionFinish(UploadSessionCursor cursor, CommitInfo commit, String contentHash) throws DbxException
      Finish an upload session and save the uploaded data to the given file path. A single request should not upload more than 150 MiB. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
      cursor - Contains the upload session ID and the offset. Must not be null.
      commit - Contains the path and other optional modifiers for the commit. Must not be null.
      contentHash - A hash of the file content uploaded in this call. If provided and the uploaded content does not match this hash, an error will be returned. For more information see our Content hash page. Must have length of at least 64 and have length of at most 64.
      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxException
    • uploadSessionFinishBatch

      Deprecated.
      This route helps you commit many files at once into a user's Dropbox. Use uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg) and uploadSessionAppendV2(UploadSessionCursor) to upload file contents. We recommend uploading many files in parallel to increase throughput. Once the file contents have been uploaded, rather than calling uploadSessionFinish(UploadSessionCursor,CommitInfo,String), use this route to finish all your upload sessions in a single request. UploadSessionStartArg.getClose() or UploadSessionAppendArg.getClose() needs to be true for the last uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg) or uploadSessionAppendV2(UploadSessionCursor) call. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. This route will return a job_id immediately and do the async commit job in background. Use uploadSessionFinishBatchCheck(String) to check the job status. For the same account, this route should be executed serially. That means you should not start the next job before current job finishes. We allow up to 1000 entries in a single request. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
      entries - Commit information for each file in the batch. Must contain at most 1000 items, not contain a null item, and not be null.
      Returns:
      Result returned by uploadSessionFinishBatch(List) that may either launch an asynchronous job or complete synchronously.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • uploadSessionFinishBatchV2

      public UploadSessionFinishBatchResult uploadSessionFinishBatchV2(List<UploadSessionFinishArg> entries) throws DbxApiException, DbxException
      This route helps you commit many files at once into a user's Dropbox. Use uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg) and uploadSessionAppendV2(UploadSessionCursor) to upload file contents. We recommend uploading many files in parallel to increase throughput. Once the file contents have been uploaded, rather than calling uploadSessionFinish(UploadSessionCursor,CommitInfo,String), use this route to finish all your upload sessions in a single request. UploadSessionStartArg.getClose() or UploadSessionAppendArg.getClose() needs to be true for the last uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg) or uploadSessionAppendV2(UploadSessionCursor) call of each upload session. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. We allow up to 1000 entries in a single request. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
      entries - Commit information for each file in the batch. Must contain at most 1000 items, not contain a null item, and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • uploadSessionFinishBatchCheck

      public UploadSessionFinishBatchJobStatus uploadSessionFinishBatchCheck(String asyncJobId) throws PollErrorException, DbxException
      Returns the status of an asynchronous job for uploadSessionFinishBatch(List). If success, it returns list of result for each entry.
      Parameters:
      asyncJobId - Id of the asynchronous job. This is the value of a response returned from the method that launched the job. Must have length of at least 1 and not be null.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PollErrorException
      DbxException
    • uploadSessionStart

      public UploadSessionStartUploader uploadSessionStart() throws DbxException
      Upload sessions allow you to upload a single file in one or more requests, for example where the size of the file is greater than 150 MiB. This call starts a new upload session with the given data. You can then use uploadSessionAppendV2(UploadSessionCursor) or uploadSessionAppendBatch(List,String) to add more data, then uploadSessionFinish(UploadSessionCursor,CommitInfo,String) or uploadSessionFinishBatchV2(List) to save all the data to a file in Dropbox. A single request should not upload more than 150 MiB. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. An upload session can be used for a maximum of 7 days. Attempting to use a UploadSessionStartResult.getSessionId() with uploadSessionAppendV2(UploadSessionCursor) or other upload session routes more than 7 days after its creation will return UploadSessionLookupError.NOT_FOUND. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit. By default, upload sessions require you to send content of the file in sequential order via consecutive uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg), uploadSessionAppendV2(UploadSessionCursor), and uploadSessionFinish(UploadSessionCursor,CommitInfo,String) calls (or their batch variants). For better performance, you can optionally set UploadSessionStartArg.getSessionType() to UploadSessionType.CONCURRENT to start a concurrent upload session. Concurrent upload sessions may upload file data in concurrent uploadSessionAppendV2(UploadSessionCursor) requests, with a few caveats. After all of the requests are complete, finish the session with uploadSessionFinish(UploadSessionCursor,CommitInfo,String) as normal. You can not send data in a uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg) or uploadSessionFinish(UploadSessionCursor,CommitInfo,String) call, only with uploadSessionAppendV2(UploadSessionCursor) or uploadSessionAppendBatch(List,String). Also, the length of the uploaded data in a call to uploadSessionAppendV2(UploadSessionCursor) or uploadSessionAppendBatch(List,String) must be a multiple of 2^22 (4,194,304) bytes, except for the final append request with UploadSessionAppendArg.getClose() or UploadSessionAppendBatchArgEntry.getClose() set to true that may contain any remaining data.

      The default values for the optional request parameters will be used. See UploadSessionStartBuilder for more details.

      Returns:
      Uploader used to upload the request body and finish request.
      Throws:
      DbxException
    • uploadSessionStartBuilder

      public UploadSessionStartBuilder uploadSessionStartBuilder()
      Upload sessions allow you to upload a single file in one or more requests, for example where the size of the file is greater than 150 MiB. This call starts a new upload session with the given data. You can then use uploadSessionAppendV2(UploadSessionCursor) or uploadSessionAppendBatch(List,String) to add more data, then uploadSessionFinish(UploadSessionCursor,CommitInfo,String) or uploadSessionFinishBatchV2(List) to save all the data to a file in Dropbox. A single request should not upload more than 150 MiB. The maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248) bytes. An upload session can be used for a maximum of 7 days. Attempting to use a UploadSessionStartResult.getSessionId() with uploadSessionAppendV2(UploadSessionCursor) or other upload session routes more than 7 days after its creation will return UploadSessionLookupError.NOT_FOUND. Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit. By default, upload sessions require you to send content of the file in sequential order via consecutive uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg), uploadSessionAppendV2(UploadSessionCursor), and uploadSessionFinish(UploadSessionCursor,CommitInfo,String) calls (or their batch variants). For better performance, you can optionally set UploadSessionStartArg.getSessionType() to UploadSessionType.CONCURRENT to start a concurrent upload session. Concurrent upload sessions may upload file data in concurrent uploadSessionAppendV2(UploadSessionCursor) requests, with a few caveats. After all of the requests are complete, finish the session with uploadSessionFinish(UploadSessionCursor,CommitInfo,String) as normal. You can not send data in a uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg) or uploadSessionFinish(UploadSessionCursor,CommitInfo,String) call, only with uploadSessionAppendV2(UploadSessionCursor) or uploadSessionAppendBatch(List,String). Also, the length of the uploaded data in a call to uploadSessionAppendV2(UploadSessionCursor) or uploadSessionAppendBatch(List,String) must be a multiple of 2^22 (4,194,304) bytes, except for the final append request with UploadSessionAppendArg.getClose() or UploadSessionAppendBatchArgEntry.getClose() set to true that may contain any remaining data.
      Returns:
      Uploader builder for configuring request parameters and instantiating an uploader.
    • uploadSessionStartBatch

      public UploadSessionStartBatchResult uploadSessionStartBatch(long numSessions) throws DbxApiException, DbxException
      Start a batch of upload sessions. See uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg). Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
      numSessions - The number of upload sessions to start. Must be greater than or equal to 1 and be less than or equal to 1000.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      DbxApiException
      DbxException
    • uploadSessionStartBatch

      public UploadSessionStartBatchResult uploadSessionStartBatch(long numSessions, UploadSessionType sessionType) throws DbxApiException, DbxException
      Start a batch of upload sessions. See uploadSessionStart(com.dropbox.core.v2.files.UploadSessionStartArg). Calls to this endpoint will count as data transport calls for any Dropbox Business teams with a limit on the number of data transport calls allowed per month. For more information, see the Data transport limit page https://www.dropbox.com/developers/reference/data-transport-limit.
      Parameters:
[...]
